!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
!---------------------------------------------------------------------
! physics_cumulus_none.f90 
!
! History
!   2007/06/01 M. Ishiwatari
!
! 概要
!  ダミー
!
! TODO
! * サブルーチン名, physics_cumulus_adjust ではまずいじゃん.
!   emanuel, Arakawa も含めて interface はどうしたら
!   良いんでしょう?


module physics_cumulus_none_mod

  use type_mod,    only : REKIND, DBKIND, INTKIND, TOKEN, STRING

  implicit none

  private
  public :: physics_cumulus_adjust
contains

  subroutine physics_cumulus_adjust( & 
    & xyz_Temp          , & ! (inout) 温度
    & xyz_Qvap          , & ! (inout) 比湿
    & xy_CumulusRain    , & ! (out) 降水量
    & xyz_DCumulusTempDt, & ! (out) 温度変化率
    & xyz_DCumulusQvapDt, & ! (out) 比湿変化率
    & xyz_Press         , & ! (in) 気圧 (整数)
    & xyr_Press         , & ! (in) 気圧 (半整数)
    & DelTimePhy         )  ! (in) 2Δt
    !
    != ダミー版
    !
    !== 概要
    !
    ! 何もしない.
    !
    !== HISTORY
    ! * 2007-06-01 M. Ishiwatari
    !

    use type_mod,      only: REKIND, DBKIND, INTKIND, TOKEN, STRING
    use grid_3d_mod,   only: im, jm, km
    use dc_trace,      only: SetDebug, BeginSub, EndSub, DbgMessage, DataDump

    implicit none

    real(DBKIND), intent(in) :: xyz_Press(im,jm,km)    !  気圧 (整数)
    real(DBKIND), intent(in) :: xyr_Press(im,jm,km+1)  !  気圧 (半整数)
    real(DBKIND), intent(in) :: DelTimePhy             !  2Δt

    real(DBKIND), intent(inout) :: xy_CumulusRain(im,jm) !  降水量
    real(DBKIND), intent(inout) :: xyz_DCumulusTempDt(im,jm,km) ! 温度変化率
    real(DBKIND), intent(inout) :: xyz_DCumulusQvapDt(im,jm,km) ! 比湿変化率

    real(DBKIND), intent(inout) :: xyz_Temp(im,jm,km)    ! 温度
    real(DBKIND), intent(inout) :: xyz_Qvap(im,jm,km)    ! 比湿

    !----- 作業用内部変数 -----
    character(STRING),  parameter:: subname = "physics_cumulus_adjust"

    continue

    ! 開始処理
    call BeginSub(subname)

    ! 終了処理
    call EndSub(subname)

  end subroutine physics_cumulus_adjust

end module physics_cumulus_none_mod
